[oe-commits] Thomas Zimmermann : shr/merge: connman: do not disable usb0 on startup

git version control git at git.openembedded.org
Thu Oct 29 16:13:27 UTC 2009


Module: openembedded.git
Branch: shr/merge
Commit: 31d6debdb5d0b728d10529881b00f055186f7f26
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=31d6debdb5d0b728d10529881b00f055186f7f26

Author: Thomas Zimmermann <zimmermann at vdm-design.de>
Date:   Tue Oct 27 13:57:49 2009 +0000

shr/merge: connman: do not disable usb0 on startup

Signed-off-by: Klaus Kurzmann <mok at fluxnetz.de>

---

 recipes/connman/connman_git.bb    |    2 +-
 recipes/connman/files/shr/connman |   42 +++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+), 1 deletions(-)

diff --git a/recipes/connman/connman_git.bb b/recipes/connman/connman_git.bb
index 4cb48b5..5c91ebc 100644
--- a/recipes/connman/connman_git.bb
+++ b/recipes/connman/connman_git.bb
@@ -27,7 +27,7 @@ require connman.inc
 SRCREV = "1a94db417ecaba20a609ff4b4431a3f67c5dcbc6" 
 
 PV = "0.42+git"
-PR = "r1"
+PR = "r2"
 PR_append = ".gitr${SRCREV}"
 
 DEFAULT_PREFERENCE = "-1"
diff --git a/recipes/connman/files/shr/connman b/recipes/connman/files/shr/connman
new file mode 100755
index 0000000..708b1b4
--- /dev/null
+++ b/recipes/connman/files/shr/connman
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+DAEMON="/usr/sbin/connmand -I usb0"
+PIDFILE=/var/run/connmand.pid
+DESC="Connection Manager"
+
+if [ -f /etc/default/connman ] ; then
+	. /etc/default/connman
+fi
+
+set -e
+
+do_start() {
+	$DAEMON
+}
+
+do_stop() {
+	start-stop-daemon --stop --name connmand --quiet
+}
+
+case "$1" in
+  start)
+	echo "Starting $DESC"
+	do_start
+	;;
+  stop)
+	echo "Stopping $DESC"
+	do_stop
+	;;
+  restart|force-reload)
+	echo "Restarting $DESC"
+	do_stop
+	sleep 1
+	do_start
+	;;
+  *)
+	echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0





More information about the Openembedded-commits mailing list